Creates a forwarding address. If ownership verification is required, a message will be sent to the recipient and the resource's verification status will be set to pending; otherwise, the resource will be created with verification status set to accepted. For more information, see Manage email forwarding.
This method is only available to service account clients that have been delegated domain-wide authority.
HTTP request
POST https://gmail.googleapis.com/gmail/v1/users/{userId}/settings/forwardingAddresses
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
userId |
User's email address. The special value "me" can be used to indicate the authenticated user. |
Request body
The request body contains an instance of ForwardingAddress.
Response body
If successful, the response body contains a newly created instance of ForwardingAddress.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/gmail.settings.sharing
For more information, see the Authorization guide.